package com.mcwl.memberCenter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.memberCenter.domain.Benefit;
import com.mcwl.memberCenter.domain.MemberBenefit;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 权益 Mapper
 */
@Mapper
public interface BenefitMapper extends BaseMapper<Benefit> {
    List<Benefit> getBenefitList();

    List<Benefit> getBenefitListByMemberLevelId(@Param("memberLevelId") Long memberLevelId);

    List<Benefit> getNotBenefitList(@Param("memberLevelId") Long memberLevelId);

    Benefit getBenefitByType(@Param("memberLevelId") Long memberLevelId, @Param("benefitType") String benefitType);
}
